/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomRect_H___INT_
#define __GdomRect_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "Rect.h"
namespace WebCore {
    gpointer toGDOM(Rect* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMRect : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_RECT; }
    GDOMRect(PassRefPtr<WebCore::Rect> impl);
    virtual ~GDOMRect();
    WebCore::Rect* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::Rect> m_impl;
};
G_END_DECLS

#endif /* __GdomRect_H___INT_*/
